Subject: Re: bug#20614: Segmentation fault when building on Power8 Little Endian (ppc64le)

From: Petr Hracek <[email-masked]>
Date: Mon, 13 Jul 2015 14:17:01 +0200

On 05/20/2015 06:12 PM, Glenn Morris wrote:
> Petr Hracek wrote:
>
>> Relevant RedHat bugzilla is:
>> https://bugzilla.redhat.com/show_bug.cgi?id=1223033
>     "You are not authorized to access bug #1223033.
>      To see this bug, you must first log in to an account with the
>      appropriate permissions."
A full build log is here:

Mock Version: 1.1.39
Mock Version: 1.1.39
ENTER do(['bash', '--login', '-c', 'rpmbuild -bs --target ppc64le --nodeps builddir/build/SPECS/emacs.spec'], False, '/var/lib/mock/rhel-7.2-build-2648028-1249193/root/', None, 86400, True, False, 996, 135, None, False, {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}, logger=<mockbuild.trace_decorator.getLog object at 0x10015b33c10>)
Executing command: ['bash', '--login', '-c', 'rpmbuild -bs --target ppc64le --nodeps builddir/build/SPECS/emacs.spec'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}
Building target platforms: ppc64le
Building for target ppc64le
Wrote: /builddir/build/SRPMS/emacs-24.3-14.el7.src.rpm
Child return code was: 0
LEAVE do -->

ENTER do(['bash', '--login', '-c', 'rpmbuild -bb --target ppc64le --nodeps  builddir/build/SPECS/emacs.spec'], False, '/var/lib/mock/rhel-7.2-build-2648028-1249193/root/', None, 86400, True, False, 996, 135, None, False, {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}, logger=<mockbuild.trace_decorator.getLog object at 0x10015b33c10>)
Executing command: ['bash', '--login', '-c', 'rpmbuild -bb --target ppc64le --nodeps  builddir/build/SPECS/emacs.spec'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}
Building target platforms: ppc64le
Building for target ppc64le
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.3F6nsO
+ umask 022
+ cd /builddir/build/BUILD
+ cd /builddir/build/BUILD
+ rm -rf emacs-24.3
+ /usr/bin/xz -dc /builddir/build/SOURCES/emacs-24.3.tar.xz
+ /usr/bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd emacs-24.3
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ echo 'Patch #7 (emacs-spellchecker.patch):'
Patch #7 (emacs-spellchecker.patch):
+ /usr/bin/cat /builddir/build/SOURCES/emacs-spellchecker.patch
+ /usr/bin/patch -p1 -b --suffix .spellchecker --fuzz=0
patching file lisp/textmodes/ispell.el
+ echo 'Patch #10 (emacs-style-change-cb.patch):'
Patch #10 (emacs-style-change-cb.patch):
+ /usr/bin/cat /builddir/build/SOURCES/emacs-style-change-cb.patch
+ /usr/bin/patch -p1 -b --suffix .style-change-cb.patch --fuzz=0
patching file src/gtkutil.c
+ echo 'Patch #11 (emacs-bell-dont-work.patch):'
Patch #11 (emacs-bell-dont-work.patch):
+ /usr/bin/cat /builddir/build/SOURCES/emacs-bell-dont-work.patch
+ /usr/bin/patch -p1 -b --suffix .bell-dont-work.patch --fuzz=0
patching file configure.ac
patching file src/xterm.c
+ echo 'Patch #12 (emacs-gtk-warning.patch):'
Patch #12 (emacs-gtk-warning.patch):
+ /usr/bin/cat /builddir/build/SOURCES/emacs-gtk-warning.patch
+ /usr/bin/patch -p1 -b --suffix .gtk-warning.patch --fuzz=0
patching file src/gtkutil.c
Hunk #1 succeeded at 813 (offset 29 lines).
Hunk #2 succeeded at 836 (offset 29 lines).
Hunk #3 succeeded at 849 (offset 29 lines).
+ echo 'Patch #13 (emacs-help-update.patch):'
Patch #13 (emacs-help-update.patch):
+ /usr/bin/cat /builddir/build/SOURCES/emacs-help-update.patch
+ /usr/bin/patch -p1 -b --suffix .help-update.patch --fuzz=0
patching file doc/man/emacs.1
+ echo 'Patch #14 (emacs-remove-memory-warning.patch):'
Patch #14 (emacs-remove-memory-warning.patch):
+ /usr/bin/cat /builddir/build/SOURCES/emacs-remove-memory-warning.patch
+ /usr/bin/patch -p1 -b --suffix .remove-warning.patch --fuzz=0
patching file src/vm-limit.c
+ echo 'Patch #15 (emacs-24.3-configure.patch):'
Patch #15 (emacs-24.3-configure.patch):
+ /usr/bin/cat /builddir/build/SOURCES/emacs-24.3-configure.patch
+ /usr/bin/patch -p1 -b --suffix .configure --fuzz=0
patching file configure.ac
+ echo 'Patch #100 (emacs-24.3-hunspell.patch):'
Patch #100 (emacs-24.3-hunspell.patch):
+ /usr/bin/cat /builddir/build/SOURCES/emacs-24.3-hunspell.patch
+ /usr/bin/patch -p1 -b --suffix .hunspell --fuzz=0
patching file lisp/textmodes/ispell.el
+ echo 'Patch #101 (emacs-24.3-hunspell.2.patch):'
Patch #101 (emacs-24.3-hunspell.2.patch):
+ /usr/bin/cat /builddir/build/SOURCES/emacs-24.3-hunspell.2.patch
+ /usr/bin/patch -p1 -b --suffix .hunspell.2 --fuzz=0
patching file lisp/textmodes/ispell.el
+ ./autogen.sh
Checking whether you have the necessary tools...
(Read INSTALL.BZR for more details on building Emacs)
Checking for autoconf (need at least version 2.65)...
ok
Checking for automake (need at least version 1.13)...
ok
Your system has the required tools, running autoreconf...
You can now run `./configure'.
+ cp /builddir/build/SOURCES/emacs.desktop etc/emacs.desktop
+ grep -v tetris.elc lisp/Makefile.in
+ mv lisp/Makefile.in.new lisp/Makefile.in
+ rm -f lisp/play/tetris.el lisp/play/tetris.elc
+ rm -f etc/sex.6 etc/condom.1 etc/celibacy.1 etc/COOKIES etc/future-bug etc/JOKES
+ cd info
++ sed 's/\.info//g'
++ sort
+++ ls ada-mode.info auth.info autotype.info bovine.info calc.info ccmode.info cl.info dbus.info dired-x.info ebrowse.info ede.info ediff.info edt.info efaq.info eieio.info eintr.info elisp.info emacs-gnutls.info emacs-mime.info emacs.info epa.info erc.info ert.info eshell.info eudc.info flymake.info forms.info gnus.info htmlfontify.info idlwave.info info.info mairix-el.info message.info mh-e.info newsticker.info nxml-mode.info org.info pcl-cvs.info pgg.info rcirc.info reftex.info remember.info sasl.info sc.info semantic.info ses.info sieve.info smtpmail.info speedbar.info srecode.info tramp.info url.info vip.info viper.info widget.info wisent.info woman.info
++ tr -d '\n'
++ echo ada-mode.info auth.info autotype.info bovine.info calc.info ccmode.info cl.info dbus.info dired-x.info ebrowse.info ede.info ediff.info edt.info efaq.info eieio.info eintr.info elisp.info emacs-gnutls.info emacs-mime.info emacs.info epa.info erc.info ert.info eshell.info eudc.info flymake.info forms.info gnus.info htmlfontify.info idlwave.info info.info mairix-el.info message.info mh-e.info newsticker.info nxml-mode.info org.info pcl-cvs.info pgg.info rcirc.info reftex.info remember.info sasl.info sc.info semantic.info ses.info sieve.info smtpmail.info speedbar.info srecode.info tramp.info url.info vip.info viper.info widget.info wisent.info woman.info
+ files='ada-mode auth autotype bovine calc ccmode cl dbus dired-x ebrowse ede ediff edt efaq eieio eintr elisp emacs-gnutls emacs-mime emacs epa erc ert eshell eudc flymake forms gnus htmlfontify idlwave info mairix-el message mh-e newsticker nxml-mode org pcl-cvs pgg rcirc reftex remember sasl sc semantic ses sieve smtpmail speedbar srecode tramp url vip viper widget wisent woman'
+ test 'ada-mode auth autotype bovine calc ccmode cl dbus dired-x ebrowse ede ediff edt efaq eieio eintr elisp emacs-gnutls emacs-mime emacs epa erc ert eshell eudc flymake forms gnus htmlfontify idlwave info mairix-el message mh-e newsticker nxml-mode org pcl-cvs pgg rcirc reftex remember sasl sc semantic ses sieve smtpmail speedbar srecode tramp url vip viper widget wisent woman' '!=' 'ada-mode auth autotype bovine calc ccmode cl dbus dired-x ebrowse ede ediff edt efaq eieio eintr elisp emacs-gnutls emacs-mime emacs epa erc ert eshell eudc flymake forms gnus htmlfontify idlwave info mairix-el message mh-e newsticker nxml-mode org pcl-cvs pgg rcirc reftex remember sasl sc semantic ses sieve smtpmail speedbar srecode tramp url vip viper widget wisent woman'
+ cd ..
+ ln -s ../../emacs/24.3/etc/COPYING doc
+ ln -s ../../emacs/24.3/etc/NEWS doc
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.ip3wVK
+ umask 022
+ cd /builddir/build/BUILD
+ cd emacs-24.3
+ rm lisp/textmodes/ispell.el.hunspell
+ rm lisp/textmodes/ispell.el.hunspell.2
+ rm lisp/textmodes/ispell.el.spellchecker
+ export 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mcpu=power7 -mtune=power8'
+ CFLAGS='-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mcpu=power7 -mtune=power8'
+ mkdir build-gtk
+ cd build-gtk
+ ln -s ../configure .
+ LDFLAGS=-Wl,-z,relro
+ export LDFLAGS
+ CFLAGS='-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mcpu=power7 -mtune=power8'
+ export CFLAGS
+ CXXFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mcpu=power7 -mtune=power8'
+ export CXXFLAGS
+ FFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mcpu=power7 -mtune=power8 -I/usr/lib64/gfortran/modules'
+ export FFLAGS
+ FCFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mcpu=power7 -mtune=power8 -I/usr/lib64/gfortran/modules'
+ export FCFLAGS
+ LDFLAGS=-Wl,-z,relro
+ export LDFLAGS
+ '[' 1 == 1 ']'
+ '[' ppc64le == ppc64le ']'
+ /usr/lib/rpm/redhat/libtool-handle-ppc64le.sh
++ find . -name config.guess -o -name config.sub
+ ./configure --build=ppc64le-redhat-linux-gnu --host=ppc64le-redhat-linux-gnu --program-prefix= --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info --with-dbus --with-gif --with-jpeg --with-png --with-rsvg --with-tiff --with-xft --with-xpm --with-x-toolkit=gtk3 --with-gpm=no
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
/builddir/build/BUILD/emacs-24.3/build-aux/missing: Unknown `--is-lightweight' option
Try `/builddir/build/BUILD/emacs-24.3/build-aux/missing --help' for more information
configure: WARNING: 'missing' script is too old or missing
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking build system type... powerpc64le-redhat-linux-gnu
checking host system type... powerpc64le-redhat-linux-gnu
checking for ppc64le-redhat-linux-gnu-gcc... no
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... none
checking whether gcc and cc understand -c and -o together... yes
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for Minix Amsterdam compiler... no
checking for ppc64le-redhat-linux-gnu-ar... no
checking for ar... ar
checking for ppc64le-redhat-linux-gnu-ranlib... no
checking for ranlib... ranlib
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking minix/config.h usability... no
checking minix/config.h presence... no
checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking for gcc option to accept ISO C99... -std=gnu99
checking for gcc -std=gnu99 option to accept ISO Standard C... (cached) -std=gnu99
checking whether ln -s works... yes
checking for install-info... /usr/sbin/install-info
checking for gzip... /usr/bin/gzip
checking for paxctl... no
checking for makeinfo... /usr/bin/makeinfo
checking for -znocombreloc... yes
checking for pkg-config... /usr/bin/pkg-config
checking machine/soundcard.h usability... no
checking machine/soundcard.h presence... no
checking for machine/soundcard.h... no
checking sys/soundcard.h usability... yes
checking sys/soundcard.h presence... yes
checking for sys/soundcard.h... yes
checking soundcard.h usability... no
checking soundcard.h presence... no
checking for soundcard.h... no
checking for _oss_ioctl in -lossaudio... no
checking for alsa >= 1.0.0... yes CFLAGS='-I/usr/include/alsa  ' LIBS='-lasound  '
checking for linux/version.h... yes
checking for sys/systeminfo.h... no
checking for stdio_ext.h... yes
checking for fcntl.h... yes
checking for coff.h... no
checking for pty.h... yes
checking for sys/vlimit.h... yes
checking for sys/resource.h... yes
checking for sys/utsname.h... yes
checking for pwd.h... yes
checking for utmp.h... yes
checking for dirent.h... yes
checking for util.h... no
checking for sys/socket.h... yes
checking for stdlib.h... (cached) yes
checking for unistd.h... (cached) yes
checking for sys/param.h... yes
checking for pthread.h... yes
checking for malloc/malloc.h... no
checking for maillock.h... yes
checking for sys/un.h... yes
checking for execinfo.h... yes
checking for getopt.h... yes
checking for sys/time.h... yes
checking for wchar.h... yes
checking for stdint.h... (cached) yes
checking for inttypes.h... (cached) yes
checking for sys/select.h... yes
checking for sys/stat.h... (cached) yes
checking for utime.h... yes
checking if personality LINUX32 can be set... yes
checking for term.h... yes
checking whether time.h and sys/time.h may both be included... yes
checking whether sys_siglist is declared... yes
checking for sys/wait.h that is POSIX.1 compatible... yes
checking for speed_t... yes
checking for net/if.h... yes
checking for ifaddrs.h... yes
checking for net/if_dl.h... no
checking for struct ifreq.ifr_flags... yes
checking for struct ifreq.ifr_hwaddr... yes
checking for struct ifreq.ifr_netmask... yes
checking for struct ifreq.ifr_broadaddr... yes
checking for struct ifreq.ifr_addr... yes
checking for struct ifreq.ifr_addr.sa_len... no
checking whether we are using GNU Make... yes
checking whether gcc understands -MMD -MF... yes
checking for long file names... yes
checking for X... libraries , headers
checking whether malloc is Doug Lea style... yes
checking for getpagesize... yes
checking for working mmap... yes
checking for dnet_ntoa in -ldnet... no
checking for main in -lXbsd... no
checking for pthread_self in -lpthread... yes
checking for cma_open in -lpthreads... no
checking whether X on GNU/Linux needs -b to link... no
checking for Xkb... yes
checking for XrmSetDatabase... yes
checking for XScreenResourceString... yes
checking for XScreenNumberOfScreen... yes
checking X11 version 6... 6 or newer
checking for librsvg-2.0 >= 2.11.0... yes CFLAGS='-pthread -I/usr/include/librsvg-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/cairo -I/usr/include/libpng15 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libdrm  ' LIBS='-lrsvg-2 -lm -lgio-2.0 -lgdk_pixbuf-2.0 -lcairo -lgobject-2.0 -lglib-2.0  '
checking for Wand >= 6.2.8... yes CFLAGS='-fopenmp -I/usr/include/ImageMagick  ' LIBS='-lMagickWand -lMagickCore  '
checking for MagickExportImagePixels... yes
checking for MagickMergeImageLayers... yes
checking for gtk+-3.0 >= 3.0 glib-2.0 >= 2.28... yes CFLAGS='-pthread -I/usr/include/gtk-3.0 -I/usr/include/atk-1.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/pixman-1 -I/usr/include/libpng15 -I/usr/include/libdrm  ' LIBS='-lgtk-3 -lgdk-3 -latk-1.0 -lgio-2.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo-gobject -lpango-1.0 -lcairo -lgobject-2.0 -lglib-2.0  '
checking for gtk_main... yes
configure: WARNING: Your version of Gtk+ will have problems with
        closing open displays.  This is no problem if you just use
        one display, but if you use more than one and close one of them
        Emacs may crash.
checking whether GTK_TYPE_FILE_SELECTION is declared... no
checking for gtk_widget_get_window... yes
checking for gtk_widget_set_has_window... yes
checking for gtk_dialog_get_action_area... yes
checking for gtk_widget_get_sensitive... yes
checking for gtk_widget_get_mapped... yes
checking for gtk_adjustment_get_page_size... yes
checking for gtk_orientable_set_orientation... yes
checking for gtk_window_set_has_resize_grip... yes
checking for dbus-1 >= 1.0... yes CFLAGS='-I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include  ' LIBS='-L/lib64 -ldbus-1  '
checking for dbus_watch_get_unix_fd... yes
checking for dbus_type_is_valid... yes
checking for dbus_validate_bus_name... yes
checking for dbus_validate_path... yes
checking for dbus_validate_interface... yes
checking for dbus_validate_member... yes
checking for gio-2.0 >= 2.26... yes CFLAGS='-pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  ' LIBS='-lgio-2.0 -lgobject-2.0 -lglib-2.0  '
checking for gconf-2.0 >= 2.13... yes CFLAGS='-pthread -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  ' LIBS='-lgconf-2 -lglib-2.0  '
checking for gobject-2.0 >= 2.0... yes CFLAGS='-I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  ' LIBS='-lgobject-2.0 -lglib-2.0  '
checking for g_type_init... yes
checking for lgetfilecon in -lselinux... yes
checking for gnutls >= 2.6.6... yes CFLAGS='-I/usr/include/p11-kit-1  ' LIBS='-lgnutls  '
checking for gnutls_certificate_set_verify_function... yes
checking for fontconfig >= 2.2.0... yes CFLAGS='-I/usr/include/freetype2  ' LIBS='-lfontconfig -lfreetype  '
checking for xft >= 0.13.0... yes CFLAGS='-I/usr/include/freetype2  ' LIBS='-lXft  '
checking for XRenderQueryExtension in -lXrender... yes
checking X11/Xft/Xft.h usability... yes
checking X11/Xft/Xft.h presence... yes
checking for X11/Xft/Xft.h... yes
checking for XftFontOpen in -lXft... yes
checking for freetype2... yes CFLAGS='-I/usr/include/freetype2  ' LIBS='-lfreetype  '
checking for libotf... yes CFLAGS='-I/usr/include/freetype2  ' LIBS='-lotf -lfreetype  '
checking for OTF_get_variation_glyphs in -lotf... yes
checking for m17n-flt... yes CFLAGS=' ' LIBS='-lm17n-flt -lm17n-core  '
checking X11/xpm.h usability... yes
checking X11/xpm.h presence... yes
checking for X11/xpm.h... yes
checking for XpmReadFileToPixmap in -lXpm... yes
checking for XpmReturnAllocPixels preprocessor define... yes
checking jerror.h usability... yes
checking jerror.h presence... yes
checking for jerror.h... yes
checking for jpeg_destroy_compress in -ljpeg... yes
checking png.h usability... yes
checking png.h presence... yes
checking for png.h... yes
checking for png_get_channels in -lpng... yes
checking whether png_longjmp is declared... yes
checking tiffio.h usability... yes
checking tiffio.h presence... yes
checking for tiffio.h... yes
checking for TIFFGetVersion in -ltiff... yes
checking gif_lib.h usability... yes
checking gif_lib.h presence... yes
checking for gif_lib.h... yes
checking for EGifPutExtensionLast in -lgif... yes
checking X11/SM/SMlib.h usability... yes
checking X11/SM/SMlib.h presence... yes
checking for X11/SM/SMlib.h... yes
checking for SmcOpenConnection in -lSM... yes
checking for libxml-2.0 > 2.6.17... yes CFLAGS='-I/usr/include/libxml2  ' LIBS='-lxml2  '
checking for htmlReadMemory in -lxml2... yes
checking whether netdb declares h_errno... yes
checking for sqrt in -lm... yes
checking for maillock in -lmail... no
checking for maillock in -llockfile... yes
checking for gethostname... yes
checking for closedir... yes
checking for getrusage... yes
checking for get_current_dir_name... yes
checking for lrand48... yes
checking for setsid... yes
checking for fpathconf... yes
checking for select... yes
checking for euidaccess... yes
checking for getpagesize... (cached) yes
checking for setlocale... yes
checking for utimes... yes
checking for getrlimit... yes
checking for setrlimit... yes
checking for setpgid... yes
checking for getcwd... yes
checking for shutdown... yes
checking for getaddrinfo... yes
checking for __fpending... yes
checking for strsignal... yes
checking for setitimer... yes
checking for sendto... yes
checking for recvfrom... yes
checking for getsockname... yes
checking for getpeername... yes
checking for getifaddrs... yes
checking for freeifaddrs... yes
checking for gai_strerror... yes
checking for mkstemp... yes
checking for getline... yes
checking for getdelim... yes
checking for fsync... yes
checking for sync... yes
checking for difftime... yes
checking for posix_memalign... yes
checking for getpwent... yes
checking for endpwent... yes
checking for getgrent... yes
checking for endgrent... yes
checking for touchlock... yes
checking for cfmakeraw... yes
checking for cfsetspeed... yes
checking for copysign... yes
checking for __executable_start... yes
checking for getwd... yes
checking for random... yes
checking for rint... yes
checking for __builtin_unwind_init... yes
checking for _LARGEFILE_SOURCE value needed for large files... no
checking whether getpgrp requires zero arguments... yes
checking for grantpt... yes
checking for getpt... yes
checking for posix_openpt... yes
checking for library containing tputs... -ltinfo
checking for tzset... yes
checking for readlinkat... yes
checking for gettimeofday... yes
checking for nanotime... no
checking for lstat... yes
checking for alarm... yes
checking for pselect... yes
checking for pthread_sigmask... yes
checking for readlink... yes
checking for strtoimax... yes
checking for strtoumax... yes
checking for symlink... yes
checking for localtime_r... yes
checking for futimes... yes
checking for futimesat... yes
checking for futimens... yes
checking for utimensat... yes
checking for lutimes... yes
checking whether localtime caches TZ... no
checking for socket... yes
checking netinet/in.h usability... yes
checking netinet/in.h presence... yes
checking for netinet/in.h... yes
checking arpa/inet.h usability... yes
checking arpa/inet.h presence... yes
checking for arpa/inet.h... yes
checking whether system supports dynamic ptys... yes
checking for pid_t... yes
checking vfork.h usability... no
checking vfork.h presence... no
checking for vfork.h... no
checking for fork... yes
checking for vfork... yes
checking for working fork... yes
checking for working vfork... (cached) yes
checking for snprintf... yes
checking for nl_langinfo and CODESET... yes
checking for mbstate_t... yes
checking for C restricted array declarations... yes
checking for signals via characters... yes
checking whether we are using the GNU C library... yes
checking for style of pending output formalism... new
checking for _setjmp... yes
checking for usable FIONREAD... yes
checking for usable SIGIO... yes
checking for working alloca.h... yes
checking for alloca... yes
checking whether byte ordering is bigendian... no
checking for inline... inline
checking whether strtold conforms to C99... yes
checking if environ is properly declared... yes
checking for st_dm_mode in struct stat... no
checking whether strmode is declared... no
checking whether the preprocessor supports include_next... yes
checking whether system header files limit the line length... no
checking for getopt.h... (cached) yes
checking for getopt_long_only... yes
checking whether getopt is POSIX compatible... yes
checking for working GNU getopt function... yes
checking for working GNU getopt_long function... yes
checking whether getenv is declared... yes
checking for C/C++ restrict keyword... __restrict
checking for struct timeval... yes
checking for wide-enough struct timeval.tv_sec member... yes
checking for unsigned long long int... yes
checking for long long int... yes
checking whether stdint.h conforms to C99... yes
checking whether lstat correctly handles trailing slash... yes
checking whether <sys/select.h> is self-contained... yes
checking for sigset_t... yes
checking for stdbool.h that conforms to C99... yes
checking for _Bool... yes
checking for wchar_t... yes
checking whether struct tm is in sys/time.h or time.h... time.h
checking for struct tm.tm_zone... yes
checking for struct tm.tm_gmtoff... yes
checking whether strtoimax is declared... yes
checking whether strtoumax is declared... yes
checking whether stat file-mode macros are broken... no
checking for mode_t... yes
checking for struct timespec in <time.h>... yes
checking whether the utimes function works... yes
checking for struct utimbuf... yes
checking for alloca as a compiler built-in... yes
checking for library containing clock_gettime... none required
checking for clock_gettime... yes
checking for clock_settime... yes
checking whether dup2 works... yes
checking for library containing backtrace_symbols_fd... none required
checking for getloadavg... yes
checking sys/loadavg.h usability... no
checking sys/loadavg.h presence... no
checking for sys/loadavg.h... no
checking whether getloadavg is declared... yes
checking whether gettimeofday clobbers localtime buffer... no
checking for gettimeofday with POSIX signature... almost
checking for working mktime... yes
checking whether signature of pselect conforms to POSIX... yes
checking whether pselect detects invalid fds... yes
checking whether pthread_sigmask works without -lpthread... yes
checking whether pthread_sigmask returns error numbers... yes
checking whether pthread_sigmask unblocks signals correctly... guessing yes
checking whether readlink signature is correct... yes
checking whether readlink handles trailing slash correctly... yes
checking for volatile sig_atomic_t... yes
checking for sighandler_t... yes
checking for socklen_t... yes
checking for ssize_t... yes
checking for struct stat.st_atim.tv_nsec... yes
checking whether struct stat.st_atim is of type struct timespec... yes
checking for struct stat.st_birthtimespec.tv_nsec... no
checking for struct stat.st_birthtimensec... no
checking for struct stat.st_birthtim.tv_nsec... no
checking for working stdalign.h... yes
checking for va_copy... yes
checking whether NULL can be used in arbitrary expressions... yes
checking whether strtoimax works... yes
checking whether symlink handles trailing slash correctly... yes
checking whether <sys/select.h> is self-contained... (cached) yes
checking for nlink_t... yes
checking whether localtime_r is declared... yes
checking whether localtime_r is compatible with its POSIX signature... yes
checking for library containing timer_settime... -lrt
checking for timer_settime... yes
Configured for `powerpc64le-redhat-linux-gnu'.
   Where should the build process find the source code?    /builddir/build/BUILD/emacs-24.3
   What compiler should emacs be built with?               gcc -std=gnu99 -DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mcpu=power7 -mtune=power8
   Should Emacs use the GNU version of malloc?             yes
       (Using Doug Lea's new malloc from the GNU C Library.)
   Should Emacs use a relocating allocator for buffers?    no
   Should Emacs use mmap(2) for buffer allocation?         no
   What window system should Emacs use?                    x11
   What toolkit should Emacs use?                          GTK3
   Where do we find X Windows header files?                Standard dirs
   Where do we find X Windows libraries?                   Standard dirs
   Does Emacs use -lXaw3d?                                 no
   Does Emacs use -lXpm?                                   yes
   Does Emacs use -ljpeg?                                  yes
   Does Emacs use -ltiff?                                  yes
   Does Emacs use a gif library?                           yes -lgif
   Does Emacs use -lpng?                                   yes
   Does Emacs use -lrsvg-2?                                yes
   Does Emacs use imagemagick?                             yes
   Does Emacs use -lgpm?                                   no
   Does Emacs use -ldbus?                                  yes
   Does Emacs use -lgconf?                                 yes
   Does Emacs use GSettings?                               yes
   Does Emacs use -lselinux?                               yes
   Does Emacs use -lgnutls?                                yes
   Does Emacs use -lxml2?                                  yes
   Does Emacs use -lfreetype?                              yes
   Does Emacs use -lm17n-flt?                              yes
   Does Emacs use -lotf?                                   yes
   Does Emacs use -lxft?                                   yes
   Does Emacs use toolkit scroll bars?                     yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating lib/Makefile
config.status: creating lib-src/Makefile
config.status: creating oldXMenu/Makefile
config.status: creating doc/emacs/Makefile
config.status: creating doc/misc/Makefile
config.status: creating doc/lispintro/Makefile
config.status: creating doc/lispref/Makefile
config.status: creating src/Makefile
config.status: creating lwlib/Makefile
config.status: creating lisp/Makefile
config.status: creating leim/Makefile
config.status: creating nextstep/Makefile
config.status: creating admin/unidata/Makefile
config.status: creating src/config.h
config.status: executing depfiles commands
config.status: executing mkdirs commands
config.status: executing epaths commands
creating src/epaths.h
config.status: executing gdbinit commands
creating src/.gdbinit
+ make bootstrap
[ -r "/builddir/build/BUILD/emacs-24.3/src/config.in" ] || ( cd /builddir/build/BUILD/emacs-24.3 && autoheader )
(cd src;      make  bootstrap-clean)
make[1]: Entering directory `/builddir/build/BUILD/emacs-24.3/build-gtk/src'
rm -f temacs core *.core \#* *.o libXMenu11.a liblw.a
rm -f ../etc/DOC
rm -f bootstrap-emacs emacs-24.3
rm -f buildobj.h
rm -f globals.h gl-stamp
rm -f emacs-*.*.* emacs
rm -rf deps
rm -f epaths.h config.h config.stamp stamp-oldxmenu ../etc/DOC-*
if test -f ./.gdbinit; then \
   mv ./.gdbinit ./.gdbinit.save; \
   if test -f "/builddir/build/BUILD/emacs-24.3/src/.gdbinit"; then rm -f ./.gdbinit.save; \
   else mv ./.gdbinit.save ./.gdbinit; fi; \
fi
make[1]: Leaving directory `/builddir/build/BUILD/emacs-24.3/build-gtk/src'
(cd oldXMenu; make  maintainer-clean)
make[1]: Entering directory `/builddir/build/BUILD/emacs-24.3/build-gtk/oldXMenu'
rm -f libXMenu11.a Activate.o AddPane.o AddSel.o ChgPane.o ChgSel.o Create.o DelPane.o DelSel.o Destroy.o Error.o EvHand.o FindPane.o FindSel.o InsPane.o InsSel.o Internal.o Locate.o Post.o Recomp.o SetAEQ.o SetFrz.o SetPane.o SetSel.o XDelAssoc.o XLookAssoc.o XCrAssoc.o XDestAssoc.o XMakeAssoc.o insque.o
rm -f Makefile
make[1]: Leaving directory `/builddir/build/BUILD/emacs-24.3/build-gtk/oldXMenu'
(cd lwlib;    make  maintainer-clean)
make[1]: Entering directory `/builddir/build/BUILD/emacs-24.3/build-gtk/lwlib'
rm -f *.o liblw.a \#*
rm -f Makefile
rm -f TAGS
make[1]: Leaving directory `/builddir/build/BUILD/emacs-24.3/build-gtk/lwlib'
(cd lib;      make  maintainer-clean)
make[1]: Entering directory `/builddir/build/BUILD/emacs-24.3/build-gtk/lib'
test -z "libgnu.a" || rm -f libgnu.a
rm -f *.o
test -z "core *.stackdump alloca.h alloca.h-t execinfo.h execinfo.h-t getopt.h getopt.h-t inttypes.h inttypes.h-t signal.h signal.h-t arg-nonnull.h arg-nonnull.h-t c++defs.h c++defs.h-t warn-on-use.h warn-on-use.h-t stdalign.h stdalign.h-t stdarg.h stdarg.h-t stdbool.h stdbool.h-t stddef.h stddef.h-t stdint.h stdint.h-t stdio.h stdio.h-t stdlib.h stdlib.h-t sys/select.h sys/select.h-t sys/stat.h sys/stat.h-t sys/time.h sys/time.h-t time.h time.h-t unistd.h unistd.h-t" || rm -f core *.stackdump alloca.h alloca.h-t execinfo.h execinfo.h-t getopt.h getopt.h-t inttypes.h inttypes.h-t signal.h signal.h-t arg-nonnull.h arg-nonnull.h-t c++defs.h c++defs.h-t warn-on-use.h warn-on-use.h-t stdalign.h stdalign.h-t stdarg.h stdarg.h-t stdbool.h stdbool.h-t stddef.h stddef.h-t stdint.h stdint.h-t stdio.h stdio.h-t stdlib.h stdlib.h-t sys/select.h sys/select.h-t sys/stat.h sys/stat.h-t sys/time.h sys/time.h-t time.h time.h-t unistd.h unistd.h-t
rm -f *.tab.c
test -z "" || rm -f
test . = "/builddir/build/BUILD/emacs-24.3/lib" || test -z "" || rm -f
rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
This command is intended for maintainers to use
it deletes files that may require special tools to rebuild.
test -z "alloca.h   inttypes.h signal.h arg-nonnull.h c++defs.h warn-on-use.h      stdio.h stdlib.h sys/select.h sys/stat.h sys/time.h time.h unistd.h" || rm -f alloca.h   inttypes.h signal.h arg-nonnull.h c++defs.h warn-on-use.h      stdio.h stdlib.h sys/select.h sys/stat.h sys/time.h time.h unistd.h
rm -rf ./.deps
rm -f Makefile
make[1]: Leaving directory `/builddir/build/BUILD/emacs-24.3/build-gtk/lib'
(cd lib-src;  make  maintainer-clean)
make[1]: Entering directory `/builddir/build/BUILD/emacs-24.3/build-gtk/lib-src'
rm -f core *.o
rm -f etags ctags emacsclient ebrowse profile movemail hexl update-game-score test-distrib make-docfile
rm -f TAGS
rm -f Makefile blessmail
true
make[1]: Leaving directory `/builddir/build/BUILD/emacs-24.3/build-gtk/lib-src'
(cd doc/emacs &&   make  maintainer-clean)
make[1]: Entering directory `/builddir/build/BUILD/emacs-24.3/build-gtk/doc/emacs'
rm -f *.aux *.log *.toc *.cp *.cps *.fn *.fns *.ky *.kys \
   *.op *.ops *.pg *.pgs *.tp *.tps *.vr *.vrs
rm -f emacs.dvi emacs-xtra.dvi emacs.pdf emacs-xtra.pdf \
   emacs.ps emacs-xtra.ps
rm -rf emacs.html/
rm -f emacs-manual-24.3.tar*
cd /builddir/build/BUILD/emacs-24.3/doc/emacs/../../info && rm -f emacs.info emacs.info-[1-9] emacs.info-[1-9][0-9]
make[1]: Leaving directory `/builddir/build/BUILD/emacs-24.3/build-gtk/doc/emacs'
(cd doc/misc &&   make  maintainer-clean)
make[1]: Entering directory `/builddir/build/BUILD/emacs-24.3/build-gtk/doc/misc'
rm -f *.aux *.log *.toc *.c[mp] *.c[mp]s *.fn *.fns \
   *.ky *.kys *.op *.ops *.p[gj] *.p[gj]s *.sc *.scs *.ss \
   *.t[gp] *.t[gp]s *.vr *.vrs
rm -f gnustmp.*
rm -f ada-mode.dvi auth.dvi autotype.dvi bovine.dvi calc.dvi cc-mode.dvi cl.dvi dbus.dvi dired-x.dvi ebrowse.dvi ede.dvi ediff.dvi edt.dvi eieio.dvi emacs-mime.dvi epa.dvi erc.dvi ert.dvi eshell.dvi eudc.dvi faq.dvi flymake.dvi forms.dvi gnus.dvi emacs-gnutls.dvi htmlfontify.dvi idlwave.dvi info.dvi mairix-el.dvi message.dvi mh-e.dvi newsticker.dvi nxml-mode.dvi org.dvi pcl-cvs.dvi pgg.dvi rcirc.dvi reftex.dvi remember.dvi sasl.dvi sc.dvi semantic.dvi ses.dvi sieve.dvi smtpmail.dvi speedbar.dvi srecode.dvi tramp.dvi url.dvi vip.dvi viper.dvi widget.dvi wisent.dvi woman.dvi ada-mode.pdf auth.pdf autotype.pdf bovine.pdf calc.pdf cc-mode.pdf cl.pdf dbus.pdf dired-x.pdf ebrowse.pdf ede.pdf ediff.pdf edt.pdf eieio.pdf emacs-mime.pdf epa.pdf erc.pdf ert.pdf eshell.pdf eudc.pdf faq.pdf flymake.pdf forms.pdf gnus.pdf htmlfontify.pdf emacs-gnutls.pdf idlwave.pdf info.pdf mairix-el.pdf message.pdf mh-e.pdf newsticker.pdf nxml-mode.pdf org.pdf pcl-cvs.pdf pgg.pdf rcirc.pdf reftex.pdf remember.pdf sasl.pdf sc.pdf semantic.pdf ses.pdf sieve.pdf smtpmail.pdf speedbar.pdf srecode.pdf tramp.pdf url.pdf vip.pdf viper.pdf widget.pdf wisent.pdf woman.pdf emacs-faq.html emacs-faq.text
cd /builddir/build/BUILD/emacs-24.3/doc/misc/../../info; for file in ada-mode auth autotype bovine calc ccmode cl dbus dired-x ebrowse ede ediff edt eieio emacs-mime epa erc ert eshell eudc efaq flymake forms gnus emacs-gnutls htmlfontify idlwave info.info mairix-el message mh-e newsticker nxml-mode org pcl-cvs pgg rcirc remember reftex sasl sc semantic ses sieve smtpmail speedbar srecode tramp url vip viper widget wisent woman; do \
   file=`echo ${file} | sed 's/\.info$//'`.info; \
   rm -f ${file} ${file}-[1-9] ${file}-[1-9][0-9]; \
done
make[1]: Leaving directory `/builddir/build/BUILD/emacs-24.3/build-gtk/doc/misc'
(cd doc/lispref &&   make  maintainer-clean)
make[1]: Entering directory `/builddir/build/BUILD/emacs-24.3/build-gtk/doc/lispref'
rm -f *.aux *.log *.toc *.cp *.cps *.fn *.fns *.ky *.kys \
   *.op *.ops *.pg *.pgs *.tp *.tps *.vr *.vrs
rm -f elisp[12]* vol[12].tmp
rm -f elisp.dvi elisp.pdf elisp.ps
rm -f vol[12].dvi vol[12].pdf vol[12].ps
rm -rf elisp.html
rm -f emacs-lispref-24.3.tar*
cd /builddir/build/BUILD/emacs-24.3/doc/lispref/../../info && rm -f elisp.info elisp.info-[1-9] elisp.info-[1-9][0-9]
make[1]: Leaving directory `/builddir/build/BUILD/emacs-24.3/build-gtk/doc/lispref'
(cd doc/lispintro &&   make  maintainer-clean)
make[1]: Entering directory `/builddir/build/BUILD/emacs-24.3/build-gtk/doc/lispintro'
rm -f *.aux *.log *.toc *.cp *.cps *.fn *.fns *.ky *.kys \
   *.op *.ops *.pg *.pgs *.tp *.tps *.vr *.vrs
rm -f emacs-lisp-intro.dvi emacs-lisp-intro.pdf emacs-lisp-intro.ps
rm -rf emacs-lisp-intro.html/
rm -f emacs-lispintro-24.3.tar*
cd /builddir/build/BUILD/emacs-24.3/doc/lispintro/../../info && rm -f eintr.info eintr.info-[1-9]
make[1]: Leaving directory `/builddir/build/BUILD/emacs-24.3/build-gtk/doc/lispintro'
(cd leim;     make  maintainer-clean)
make[1]: Entering directory `/builddir/build/BUILD/emacs-24.3/build-gtk/leim'
rm -f quail/CCDOSPY.el quail/Punct.el quail/QJ.el quail/SW.el quail/TONEPY.el quail/4Corner.el quail/ARRAY30.el quail/ECDICT.el quail/ETZY.el quail/Punct-b5.el quail/PY-b5.el quail/QJ-b5.el quail/ZOZY.el quail/tsang-b5.el quail/quick-b5.el quail/tsang-cns.el quail/quick-cns.el quail/PY.el quail/ZIRANMA.el quail/CTLau.el quail/CTLau-b5.el quail/CCDOSPY.elc quail/Punct.elc quail/QJ.elc quail/SW.elc quail/TONEPY.elc quail/4Corner.elc quail/ARRAY30.elc quail/ECDICT.elc quail/ETZY.elc quail/Punct-b5.elc quail/PY-b5.elc quail/QJ-b5.elc quail/ZOZY.elc quail/tsang-b5.elc quail/quick-b5.elc quail/tsang-cns.elc quail/quick-cns.elc quail/PY.elc quail/ZIRANMA.elc quail/CTLau.elc quail/CTLau-b5.elc \
	leim-list.el changed.tit changed.misc
[ `cd /builddir/build/BUILD/emacs-24.3/leim && /bin/pwd` != `/bin/pwd` ] && rm -rf quail
rm -f Makefile
wins="/builddir/build/BUILD/emacs-24.3/leim/ja-dic quail"; [ `cd /builddir/build/BUILD/emacs-24.3/leim && /bin/pwd` != `/bin/pwd` ] && wins="$wins /builddir/build/BUILD/emacs-24.3/leim/quail"; for w in $wins; do rm -f $w/*.elc; done
make[1]: Leaving directory `/builddir/build/BUILD/emacs-24.3/build-gtk/leim'
(cd lisp;     make  bootstrap-clean)
make[1]: Entering directory `/builddir/build/BUILD/emacs-24.3/build-gtk/lisp'
cd /builddir/build/BUILD/emacs-24.3/lisp; rm -f *.elc */*.elc */*/*.elc */*/*/*.elc loaddefs.el /builddir/build/BUILD/emacs-24.3/lisp/calendar/cal-loaddefs.el /builddir/build/BUILD/emacs-24.3/lisp/calendar/diary-loaddefs.el /builddir/build/BUILD/emacs-24.3/lisp/calendar/hol-loaddefs.el /builddir/build/BUILD/emacs-24.3/lisp/mh-e/mh-loaddefs.el /builddir/build/BUILD/emacs-24.3/lisp/net/tramp-loaddefs.el cus-load.el finder-inf.el subdirs.el calc/calc-loaddefs.el eshell/esh-groups.el cedet/semantic/loaddefs.el cedet/ede/loaddefs.el cedet/srecode/loaddefs.el
make[1]: Leaving directory `/builddir/build/BUILD/emacs-24.3/build-gtk/lisp'
(cd nextstep && make  maintainer-clean)
make[1]: Entering directory `/builddir/build/BUILD/emacs-24.3/build-gtk/nextstep'
rm -rf
rm -f Makefile
rm -f GNUstep/Emacs.base/Resources/Info-gnustep.plist \
   GNUstep/Emacs.base/Resources/Emacs.desktop \
   Cocoa/Emacs.base/Contents/Info.plist \
   Cocoa/Emacs.base/Contents/Resources/English.lproj/InfoPlist.strings
make[1]: Leaving directory `/builddir/build/BUILD/emacs-24.3/build-gtk/nextstep'
[ ! -f config.log ] || mv -f config.log config.log~
rm -f config.cache config.log
cd /builddir/build/BUILD/emacs-24.3 && { ./autogen.sh || autogen/copy_autogen; }
Checking whether you have the necessary tools...
(Read INSTALL.BZR for more details on building Emacs)
Checking for autoconf (need at least version 2.65)...
ok
Checking for automake (need at least version 1.13)...
ok
Your system has the required tools, running autoreconf...
You can now run `./configure'.
make  MAKEFILE_NAME=force-Makefile force-Makefile
make[1]: Entering directory `/builddir/build/BUILD/emacs-24.3/build-gtk'
[ -r "/builddir/build/BUILD/emacs-24.3/src/config.in" ] || ( cd /builddir/build/BUILD/emacs-24.3 && autoheader )
MAKE='make' ./config.status
config.status: creating Makefile
config.status: creating lib/Makefile
config.status: creating lib-src/Makefile
config.status: creating oldXMenu/Makefile
config.status: creating doc/emacs/Makefile
config.status: creating doc/misc/Makefile
config.status: creating doc/lispintro/Makefile
config.status: creating doc/lispref/Makefile
config.status: creating src/Makefile
config.status: creating lwlib/Makefile
config.status: creating lisp/Makefile
config.status: creating leim/Makefile
config.status: creating nextstep/Makefile
config.status: creating admin/unidata/Makefile
config.status: creating src/config.h
config.status: executing depfiles commands
config.status: executing mkdirs commands
config.status: executing epaths commands
creating src/epaths.h
make[2]: Entering directory `/builddir/build/BUILD/emacs-24.3/build-gtk'
make[2]: Leaving directory `/builddir/build/BUILD/emacs-24.3/build-gtk'
config.status: executing gdbinit commands
creating src/.gdbinit
make[1]: Leaving directory `/builddir/build/BUILD/emacs-24.3/build-gtk'
make  info all
make[1]: Entering directory `/builddir/build/BUILD/emacs-24.3/build-gtk'
[ -r "/builddir/build/BUILD/emacs-24.3/src/config.in" ] || ( cd /builddir/build/BUILD/emacs-24.3 && autoheader )
make[2]: Entering directory `/builddir/build/BUILD/emacs-24.3/build-gtk'
[ -r "/builddir/build/BUILD/emacs-24.3/src/config.in" ] || ( cd /builddir/build/BUILD/emacs-24.3 && autoheader )
(cd doc/emacs; make -w info)
make[3]: Entering directory `/builddir/build/BUILD/emacs-24.3/build-gtk/doc/emacs'
/usr/bin/makeinfo --force --enable-encoding -I /builddir/build/BUILD/emacs-24.3/doc/emacs --no-split -o /builddir/build/BUILD/emacs-24.3/doc/emacs/../../info/emacs.info /builddir/build/BUILD/emacs-24.3/doc/emacs/emacs.texi
make[3]: Leaving directory `/builddir/build/BUILD/emacs-24.3/build-gtk/doc/emacs'
(cd doc/misc; make -w info)
make[3]: Entering directory `/builddir/build/BUILD/emacs-24.3/build-gtk/doc/misc'
/usr/bin/makeinfo --force -I/builddir/build/BUILD/emacs-24.3/doc/misc/../emacs --no-split -o /builddir/build/BUILD/emacs-24.3/doc/misc/../../info/ada-mode.info /builddir/build/BUILD/emacs-24.3/doc/misc/ada-mode.texi
... snip ...
/usr/bin/makeinfo --force -I/builddir/build/BUILD/emacs-24.3/doc/misc/../emacs --no-split -o /builddir/build/BUILD/emacs-24.3/doc/misc/../../info/widget.info /builddir/build/BUILD/emacs-24.3/doc/misc/widget.texi
/usr/bin/makeinfo --force -I/builddir/build/BUILD/emacs-24.3/doc/misc/../emacs --no-split -o /builddir/build/BUILD/emacs-24.3/doc/misc/../../info/wisent.info /builddir/build/BUILD/emacs-24.3/doc/misc/wisent.texi
/usr/bin/makeinfo --force -I/builddir/build/BUILD/emacs-24.3/doc/misc/../emacs --no-split -o /builddir/build/BUILD/emacs-24.3/doc/misc/../../info/woman.info /builddir/build/BUILD/emacs-24.3/doc/misc/woman.texi
make[3]: Leaving directory `/builddir/build/BUILD/emacs-24.3/build-gtk/doc/misc'
(cd doc/lispref; make -w info)
make[3]: Entering directory `/builddir/build/BUILD/emacs-24.3/build-gtk/doc/lispref'
/usr/bin/makeinfo --force --enable-encoding -I /builddir/build/BUILD/emacs-24.3/doc/lispref/../emacs -I /builddir/build/BUILD/emacs-24.3/doc/lispref --no-split -o /builddir/build/BUILD/emacs-24.3/doc/lispref/../../info/elisp.info /builddir/build/BUILD/emacs-24.3/doc/lispref/elisp.texi
make[3]: Leaving directory `/builddir/build/BUILD/emacs-24.3/build-gtk/doc/lispref'
(cd doc/lispintro; make -w info)
make[3]: Entering directory `/builddir/build/BUILD/emacs-24.3/build-gtk/doc/lispintro'
/usr/bin/makeinfo --force -I /builddir/build/BUILD/emacs-24.3/doc/lispintro --no-split -o /builddir/build/BUILD/emacs-24.3/doc/lispintro/../../info/eintr.info /builddir/build/BUILD/emacs-24.3/doc/lispintro/emacs-lisp-intro.texi
make[3]: Leaving directory `/builddir/build/BUILD/emacs-24.3/build-gtk/doc/lispintro'
make[2]: Leaving directory `/builddir/build/BUILD/emacs-24.3/build-gtk'
cd lib && make all -w                         \
   CC='gcc -std=gnu99' CFLAGS='-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mcpu=power7 -mtune=power8' CPPFLAGS='' \
   LDFLAGS='-Wl,-z,relro -Wl,-znocombreloc ' MAKE='make'
make[2]: Entering directory `/builddir/build/BUILD/emacs-24.3/build-gtk/lib'
rm -f alloca.h-t alloca.h && \
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
   cat /builddir/build/BUILD/emacs-24.3/lib/alloca.in.h; \
} > alloca.h-t && \
mv -f alloca.h-t alloca.h
rm -f c++defs.h-t c++defs.h && \
sed -n -e '/_GL_CXXDEFS/,$p' \
   < /builddir/build/BUILD/emacs-24.3/build-aux/snippet/c++defs.h \
   > c++defs.h-t && \
mv c++defs.h-t c++defs.h
rm -f warn-on-use.h-t warn-on-use.h && \
sed -n -e '/^.ifndef/,$p' \
   < /builddir/build/BUILD/emacs-24.3/build-aux/snippet/warn-on-use.h \
   > warn-on-use.h-t && \
mv warn-on-use.h-t warn-on-use.h
rm -f arg-nonnull.h-t arg-nonnull.h && \
sed -n -e '/GL_ARG_NONNULL/,$p' \
   < /builddir/build/BUILD/emacs-24.3/build-aux/snippet/arg-nonnull.h \
   > arg-nonnull.h-t && \
mv arg-nonnull.h-t arg-nonnull.h
rm -f inttypes.h-t inttypes.h && \
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
   sed -e 's/@''HAVE_INTTYPES_H''@/1/g' \
       -e 's|@''INCLUDE_NEXT''@|include_next|g' \
       -e 's|@''PRAGMA_SYSTEM_HEADER''@|#pragma GCC system_header|g' \
       -e 's|@''PRAGMA_COLUMNS''@||g' \
       -e 's|@''NEXT_INTTYPES_H''@|<inttypes.h>|g' \
       -e 's/@''PRI_MACROS_BROKEN''@/0/g' \
       -e 's/@''APPLE_UNIVERSAL_BUILD''@/0/g' \
       -e 's/@''HAVE_LONG_LONG_INT''@/1/g' \
       -e 's/@''HAVE_UNSIGNED_LONG_LONG_INT''@/1/g' \
       -e 's/@''PRIPTR_PREFIX''@/__PRIPTR_PREFIX/g' \
       -e 's/@''GNULIB_IMAXABS''@/0/g' \
       -e 's/@''GNULIB_IMAXDIV''@/0/g' \
       -e 's/@''GNULIB_STRTOIMAX''@/1/g' \
       -e 's/@''GNULIB_STRTOUMAX''@/1/g' \
       -e 's/@''HAVE_DECL_IMAXABS''@/1/g' \
       -e 's/@''HAVE_DECL_IMAXDIV''@/1/g' \
       -e 's/@''HAVE_DECL_STRTOIMAX''@/1/g' \
       -e 's/@''HAVE_DECL_STRTOUMAX''@/1/g' \
       -e 's/@''REPLACE_STRTOIMAX''@/0/g' \
       -e 's/@''INT32_MAX_LT_INTMAX_MAX''@/1/g' \
       -e 's/@''INT64_MAX_EQ_LONG_MAX''@/defined _LP64/g' \
       -e 's/@''UINT32_MAX_LT_UINTMAX_MAX''@/1/g' \
       -e 's/@''UINT64_MAX_EQ_ULONG_MAX''@/defined _LP64/g' \
       -e '/definitions of _GL_FUNCDECL_RPL/r c++defs.h' \
       -e '/definition of _GL_ARG_NONNULL/r arg-nonnull.h' \
       -e '/definition of _GL_WARN_ON_USE/r warn-on-use.h' \
       < /builddir/build/BUILD/emacs-24.3/lib/inttypes.in.h; \
} > inttypes.h-t && \
mv inttypes.h-t inttypes.h
rm -f signal.h-t signal.h && \
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */' && \
   sed -e 's|@''GUARD_PREFIX''@|GL|g' \
       -e 's|@''INCLUDE_NEXT''@|include_next|g' \
       -e 's|@''PRAGMA_SYSTEM_HEADER''@|#pragma GCC system_header|g' \
       -e 's|@''PRAGMA_COLUMNS''@||g' \
       -e 's|@''NEXT_SIGNAL_H''@|<signal.h>|g' \
       -e 's|@''GNULIB_PTHREAD_SIGMASK''@|1|g' \
       -e 's|@''GNULIB_RAISE''@|0|g' \
       -e 's/@''GNULIB_SIGNAL_H_SIGPIPE''@/0/g' \
       -e 's/@''GNULIB_SIGPROCMASK''@/0/g' \
       -e 's/@''GNULIB_SIGACTION''@/0/g' \
       -e 's|@''HAVE_POSIX_SIGNALBLOCKING''@|1|g' \
       -e 's|@''HAVE_PTHREAD_SIGMASK''@|1|g' \
       -e 's|@''HAVE_RAISE''@|1|g' \
       -e 's|@''HAVE_SIGSET_T''@|1|g' \
       -e 's|@''HAVE_SIGINFO_T''@|1|g' \
       -e 's|@''HAVE_SIGACTION''@|1|g' \
       -e 's|@''HAVE_STRUCT_SIGACTION_SA_SIGACTION''@|1|g' \
       -e 's|@''HAVE_TYPE_VOLATILE_SIG_ATOMIC_T''@|1|g' \
       -e 's|@''HAVE_SIGHANDLER_T''@|1|g' \
       -e 's|@''REPLACE_PTHREAD_SIGMASK''@|1|g' \
       -e 's|@''REPLACE_RAISE''@|0|g' \
       -e '/definitions of _GL_FUNCDECL_RPL/r c++defs.h' \
       -e '/definition of _GL_ARG_NONNULL/r arg-nonnull.h' \
       -e '/definition of _GL_WARN_ON_USE/r warn-on-use.h' \
       < /builddir/build/BUILD/emacs-24.3/lib/signal.in.h; \
} > signal.h-t && \
mv signal.h-t signal.h
rm -f stdio.h-t stdio.h && \
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */' && \
   sed -e 's|@''GUARD_PREFIX''@|GL|g' \
       -e 's|@''INCLUDE_NEXT''@|include_next|g' \
       -e 's|@''PRAGMA_SYSTEM_HEADER''@|#pragma GCC system_header|g' \
       -e 's|@''PRAGMA_COLUMNS''@||g' \
       -e 's|@''NEXT_STDIO_H''@|<stdio.h>|g' \
       -e 's/@''GNULIB_DPRINTF''@/0/g' \
       -e 's/@''GNULIB_FCLOSE''@/0/g' \
       -e 's/@''GNULIB_FDOPEN''@/0/g' \
       -e 's/@''GNULIB_FFLUSH''@/0/g' \
       -e 's/@''GNULIB_FGETC''@/1/g' \
       -e 's/@''GNULIB_FGETS''@/1/g' \
       -e 's/@''GNULIB_FOPEN''@/0/g' \
       -e 's/@''GNULIB_FPRINTF''@/1/g' \
       -e 's/@''GNULIB_FPRINTF_POSIX''@/0/g' \
       -e 's/@''GNULIB_FPURGE''@/0/g' \
       -e 's/@''GNULIB_FPUTC''@/1/g' \
       -e 's/@''GNULIB_FPUTS''@/1/g' \
       -e 's/@''GNULIB_FREAD''@/1/g' \
       -e 's/@''GNULIB_FREOPEN''@/0/g' \
       -e 's/@''GNULIB_FSCANF''@/1/g' \
       -e 's/@''GNULIB_FSEEK''@/0/g' \
       -e 's/@''GNULIB_FSEEKO''@/0/g' \
       -e 's/@''GNULIB_FTELL''@/0/g' \
       -e 's/@''GNULIB_FTELLO''@/0/g' \
       -e 's/@''GNULIB_FWRITE''@/1/g' \
       -e 's/@''GNULIB_GETC''@/1/g' \
       -e 's/@''GNULIB_GETCHAR''@/1/g' \
       -e 's/@''GNULIB_GETDELIM''@/0/g' \
       -e 's/@''GNULIB_GETLINE''@/0/g' \
       -e 's/@''GNULIB_OBSTACK_PRINTF''@/0/g' \
       -e 's/@''GNULIB_OBSTACK_PRINTF_POSIX''@/0/g' \
       -e 's/@''GNULIB_PCLOSE''@/0/g' \
       -e 's/@''GNULIB_PERROR''@/0/g' \
       -e 's/@''GNULIB_POPEN''@/0/g' \
       -e 's/@''GNULIB_PRINTF''@/1/g' \
       -e 's/@''GNULIB_PRINTF_POSIX''@/0/g' \
       -e 's/@''GNULIB_PUTC''@/1/g' \
       -e 's/@''GNULIB_PUTCHAR''@/1/g' \
       -e 's/@''GNULIB_PUTS''@/1/g' \
       -e 's/@''GNULIB_REMOVE''@/0/g' \
       -e 's/@''GNULIB_RENAME''@/0/g' \
       -e 's/@''GNULIB_RENAMEAT''@/0/g' \
       -e 's/@''GNULIB_SCANF''@/1/g' \
       -e 's/@''GNULIB_SNPRINTF''@/0/g' \
       -e 's/@''GNULIB_SPRINTF_POSIX''@/0/g' \
       -e 's/@''GNULIB_STDIO_H_NONBLOCKING''@/0/g' \
       -e 's/@''GNULIB_STDIO_H_SIGPIPE''@/0/g' \
       -e 's/@''GNULIB_TMPFILE''@/0/g' \
       -e 's/@''GNULIB_VASPRINTF''@/0/g' \
       -e 's/@''GNULIB_VDPRINTF''@/0/g' \
       -e 's/@''GNULIB_VFPRINTF''@/1/g' \
       -e 's/@''GNULIB_VFPRINTF_POSIX''@/0/g' \
       -e 's/@''GNULIB_VFSCANF''@/0/g' \
       -e 's/@''GNULIB_VSCANF''@/0/g' \
       -e 's/@''GNULIB_VPRINTF''@/1/g' \
       -e 's/@''GNULIB_VPRINTF_POSIX''@/0/g' \
       -e 's/@''GNULIB_VSNPRINTF''@/0/g' \
       -e 's/@''GNULIB_VSPRINTF_POSIX''@/0/g' \
       < /builddir/build/BUILD/emacs-24.3/lib/stdio.in.h | \
   sed -e 's|@''HAVE_DECL_FPURGE''@|1|g' \
       -e 's|@''HAVE_DECL_FSEEKO''@|1|g' \
       -e 's|@''HAVE_DECL_FTELLO''@|1|g' \
       -e 's|@''HAVE_DECL_GETDELIM''@|1|g' \
       -e 's|@''HAVE_DECL_GETLINE''@|1|g' \
       -e 's|@''HAVE_DECL_OBSTACK_PRINTF''@|1|g' \
       -e 's|@''HAVE_DECL_SNPRINTF''@|1|g' \
       -e 's|@''HAVE_DECL_VSNPRINTF''@|1|g' \
       -e 's|@''HAVE_DPRINTF''@|1|g' \
       -e 's|@''HAVE_FSEEKO''@|1|g' \
       -e 's|@''HAVE_FTELLO''@|1|g' \
       -e 's|@''HAVE_PCLOSE''@|1|g' \
       -e 's|@''HAVE_POPEN''@|1|g' \
       -e 's|@''HAVE_RENAMEAT''@|1|g' \
       -e 's|@''HAVE_VASPRINTF''@|1|g' \
       -e 's|@''HAVE_VDPRINTF''@|1|g' \
       -e 's|@''REPLACE_DPRINTF''@|0|g' \
       -e 's|@''REPLACE_FCLOSE''@|0|g' \
       -e 's|@''REPLACE_FDOPEN''@|0|g' \
       -e 's|@''REPLACE_FFLUSH''@|0|g' \
       -e 's|@''REPLACE_FOPEN''@|0|g' \
       -e 's|@''REPLACE_FPRINTF''@|0|g' \
       -e 's|@''REPLACE_FPURGE''@|0|g' \
       -e 's|@''REPLACE_FREOPEN''@|0|g' \
       -e 's|@''REPLACE_FSEEK''@|0|g' \
       -e 's|@''REPLACE_FSEEKO''@|0|g' \
       -e 's|@''REPLACE_FTELL''@|0|g' \
       -e 's|@''REPLACE_FTELLO''@|0|g' \
       -e 's|@''REPLACE_GETDELIM''@|0|g' \
       -e 's|@''REPLACE_GETLINE''@|0|g' \
       -e 's|@''REPLACE_OBSTACK_PRINTF''@|0|g' \
       -e 's|@''REPLACE_PERROR''@|0|g' \
       -e 's|@''REPLACE_POPEN''@|0|g' \
       -e 's|@''REPLACE_PRINTF''@|0|g' \
       -e 's|@''REPLACE_REMOVE''@|0|g' \
       -e 's|@''REPLACE_RENAME''@|0|g' \
       -e 's|@''REPLACE_RENAMEAT''@|0|g' \
       -e 's|@''REPLACE_SNPRINTF''@|0|g' \
       -e 's|@''REPLACE_SPRINTF''@|0|g' \
       -e 's|@''REPLACE_STDIO_READ_FUNCS''@|0|g' \
       -e 's|@''REPLACE_STDIO_WRITE_FUNCS''@|0|g' \
       -e 's|@''REPLACE_TMPFILE''@|0|g' \
       -e 's|@''REPLACE_VASPRINTF''@|0|g' \
       -e 's|@''REPLACE_VDPRINTF''@|0|g' \
       -e 's|@''REPLACE_VFPRINTF''@|0|g' \
       -e 's|@''REPLACE_VPRINTF''@|0|g' \
       -e 's|@''REPLACE_VSNPRINTF''@|0|g' \
       -e 's|@''REPLACE_VSPRINTF''@|0|g' \
       -e 's|@''ASM_SYMBOL_PREFIX''@||g' \
       -e '/definitions of _GL_FUNCDECL_RPL/r c++defs.h' \
       -e '/definition of _GL_ARG_NONNULL/r arg-nonnull.h' \
       -e '/definition of _GL_WARN_ON_USE/r warn-on-use.h'; \
} > stdio.h-t && \
mv stdio.h-t stdio.h
rm -f stdlib.h-t stdlib.h && \
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */' && \
   sed -e 's|@''GUARD_PREFIX''@|GL|g' \
       -e 's|@''INCLUDE_NEXT''@|include_next|g' \
       -e 's|@''PRAGMA_SYSTEM_HEADER''@|#pragma GCC system_header|g' \
       -e 's|@''PRAGMA_COLUMNS''@||g' \
       -e 's|@''NEXT_STDLIB_H''@|<stdlib.h>|g' \
       -e 's/@''GNULIB__EXIT''@/0/g' \
       -e 's/@''GNULIB_ATOLL''@/0/g' \
       -e 's/@''GNULIB_CALLOC_POSIX''@/0/g' \
       -e 's/@''GNULIB_CANONICALIZE_FILE_NAME''@/0/g' \
       -e 's/@''GNULIB_GETLOADAVG''@/1/g' \
       -e 's/@''GNULIB_GETSUBOPT''@/0/g' \
       -e 's/@''GNULIB_GRANTPT''@/0/g' \
       -e 's/@''GNULIB_MALLOC_POSIX''@/0/g' \
       -e 's/@''GNULIB_MBTOWC''@/0/g' \
       -e 's/@''GNULIB_MKDTEMP''@/0/g' \
       -e 's/@''GNULIB_MKOSTEMP''@/0/g' \
       -e 's/@''GNULIB_MKOSTEMPS''@/0/g' \
       -e 's/@''GNULIB_MKSTEMP''@/0/g' \
       -e 's/@''GNULIB_MKSTEMPS''@/0/g' \
       -e 's/@''GNULIB_POSIX_OPENPT''@/0/g' \
       -e 's/@''GNULIB_PTSNAME''@/0/g' \
       -e 's/@''GNULIB_PTSNAME_R''@/0/g' \
       -e 's/@''GNULIB_PUTENV''@/0/g' \
       -e 's/@''GNULIB_RANDOM''@/0/g' \
       -e 's/@''GNULIB_RANDOM_R''@/0/g' \
       -e 's/@''GNULIB_REALLOC_POSIX''@/0/g' \
       -e 's/@''GNULIB_REALPATH''@/0/g' \
       -e 's/@''GNULIB_RPMATCH''@/0/g' \
       -e 's/@''GNULIB_SETENV''@/0/g' \
       -e 's/@''GNULIB_STRTOD''@/0/g' \
       -e 's/@''GNULIB_STRTOLL''@/0/g' \
       -e 's/@''GNULIB_STRTOULL''@/0/g' \
       -e 's/@''GNULIB_SYSTEM_POSIX''@/0/g' \
       -e 's/@''GNULIB_UNLOCKPT''@/0/g' \
       -e 's/@''GNULIB_UNSETENV''@/0/g' \
       -e 's/@''GNULIB_WCTOMB''@/0/g' \
       < /builddir/build/BUILD/emacs-24.3/lib/stdlib.in.h | \
   sed -e 's|@''HAVE__EXIT''@|1|g' \
       -e 's|@''HAVE_ATOLL''@|1|g' \
       -e 's|@''HAVE_CANONICALIZE_FILE_NAME''@|1|g' \
       -e 's|@''HAVE_DECL_GETLOADAVG''@|1|g' \
       -e 's|@''HAVE_GETSUBOPT''@|1|g' \
       -e 's|@''HAVE_GRANTPT''@|1|g' \
       -e 's|@''HAVE_MKDTEMP''@|1|g' \
       -e 's|@''HAVE_MKOSTEMP''@|1|g' \
       -e 's|@''HAVE_MKOSTEMPS''@|1|g' \
       -e 's|@''HAVE_MKSTEMP''@|1|g' \
       -e 's|@''HAVE_MKSTEMPS''@|1|g' \
       -e 's|@''HAVE_POSIX_OPENPT''@|1|g' \
       -e 's|@''HAVE_PTSNAME''@|1|g' \
       -e 's|@''HAVE_PTSNAME_R''@|1|g' \
       -e 's|@''HAVE_RANDOM''@|1|g' \
       -e 's|@''HAVE_RANDOM_H''@|1|g' \
       -e 's|@''HAVE_RANDOM_R''@|1|g' \
       -e 's|@''HAVE_REALPATH''@|1|g' \
       -e 's|@''HAVE_RPMATCH''@|1|g' \
       -e 's|@''HAVE_DECL_SETENV''@|1|g' \
       -e 's|@''HAVE_STRTOD''@|1|g' \
       -e 's|@''HAVE_STRTOLL''@|1|g' \
       -e 's|@''HAVE_STRTOULL''@|1|g' \
       -e 's|@''HAVE_STRUCT_RANDOM_DATA''@|1|g' \
       -e 's|@''HAVE_SYS_LOADAVG_H''@|0|g' \
       -e 's|@''HAVE_UNLOCKPT''@|1|g' \
       -e 's|@''HAVE_DECL_UNSETENV''@|1|g' \
       -e 's|@''REPLACE_CALLOC''@|0|g' \
       -e 's|@''REPLACE_CANONICALIZE_FILE_NAME''@|0|g' \
       -e 's|@''REPLACE_MALLOC''@|0|g' \
       -e 's|@''REPLACE_MBTOWC''@|0|g' \
       -e 's|@''REPLACE_MKSTEMP''@|0|g' \
       -e 's|@''REPLACE_PTSNAME''@|0|g' \
       -e 's|@''REPLACE_PTSNAME_R''@|0|g' \
       -e 's|@''REPLACE_PUTENV''@|0|g' \
       -e 's|@''REPLACE_RANDOM_R''@|0|g' \
       -e 's|@''REPLACE_REALLOC''@|0|g' \
       -e 's|@''REPLACE_REALPATH''@|0|g' \
       -e 's|@''REPLACE_SETENV''@|0|g' \
       -e 's|@''REPLACE_STRTOD''@|0|g' \
       -e 's|@''REPLACE_UNSETENV''@|0|g' \
       -e 's|@''REPLACE_WCTOMB''@|0|g' \
       -e '/definitions of _GL_FUNCDECL_RPL/r c++defs.h' \
       -e '/definition of _Noreturn/r /builddir/build/BUILD/emacs-24.3/build-aux/snippet/_Noreturn.h' \
       -e '/definition of _GL_ARG_NONNULL/r arg-nonnull.h' \
       -e '/definition of _GL_WARN_ON_USE/r warn-on-use.h'; \
} > stdlib.h-t && \
mv stdlib.h-t stdlib.h
/usr/bin/mkdir -p sys
rm -f sys/select.h-t sys/select.h && \
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
   sed -e 's|@''GUARD_PREFIX''@|GL|g' \
       -e 's|@''INCLUDE_NEXT''@|include_next|g' \
       -e 's|@''PRAGMA_SYSTEM_HEADER''@|#pragma GCC system_header|g' \
       -e 's|@''PRAGMA_COLUMNS''@||g' \
       -e 's|@''NEXT_SYS_SELECT_H''@|<sys/select.h>|g' \
       -e 's|@''HAVE_SYS_SELECT_H''@|1|g' \
       -e 's/@''GNULIB_PSELECT''@/1/g' \
       -e 's/@''GNULIB_SELECT''@/0/g' \
       -e 's|@''HAVE_WINSOCK2_H''@|0|g' \
       -e 's|@''HAVE_PSELECT''@|1|g' \
       -e 's|@''REPLACE_PSELECT''@|0|g' \
       -e 's|@''REPLACE_SELECT''@|0|g' \
       -e '/definitions of _GL_FUNCDECL_RPL/r c++defs.h' \
       -e '/definition of _GL_WARN_ON_USE/r warn-on-use.h' \
       < /builddir/build/BUILD/emacs-24.3/lib/sys_select.in.h; \
} > sys/select.h-t && \
mv sys/select.h-t sys/select.h
/usr/bin/mkdir -p sys
rm -f sys/stat.h-t sys/stat.h && \
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
   sed -e 's|@''GUARD_PREFIX''@|GL|g' \
       -e 's|@''INCLUDE_NEXT''@|include_next|g' \
       -e 's|@''PRAGMA_SYSTEM_HEADER''@|#pragma GCC system_header|g' \
       -e 's|@''PRAGMA_COLUMNS''@||g' \
       -e 's|@''NEXT_SYS_STAT_H''@|<sys/stat.h>|g' \
       -e 's|@''WINDOWS_64_BIT_ST_SIZE''@|0|g' \
       -e 's/@''GNULIB_FCHMODAT''@/0/g' \
       -e 's/@''GNULIB_FSTAT''@/0/g' \
       -e 's/@''GNULIB_FSTATAT''@/0/g' \
       -e 's/@''GNULIB_FUTIMENS''@/0/g' \
       -e 's/@''GNULIB_LCHMOD''@/0/g' \
       -e 's/@''GNULIB_LSTAT''@/1/g' \
       -e 's/@''GNULIB_MKDIRAT''@/0/g' \
       -e 's/@''GNULIB_MKFIFO''@/0/g' \
       -e 's/@''GNULIB_MKFIFOAT''@/0/g' \
       -e 's/@''GNULIB_MKNOD''@/0/g' \
       -e 's/@''GNULIB_MKNODAT''@/0/g' \
       -e 's/@''GNULIB_STAT''@/0/g' \
       -e 's/@''GNULIB_UTIMENSAT''@/0/g' \
       -e 's|@''HAVE_FCHMODAT''@|1|g' \
       -e 's|@''HAVE_FSTATAT''@|1|g' \
       -e 's|@''HAVE_FUTIMENS''@|1|g' \
       -e 's|@''HAVE_LCHMOD''@|1|g' \
       -e 's|@''HAVE_LSTAT''@|1|g' \
       -e 's|@''HAVE_MKDIRAT''@|1|g' \
       -e 's|@''HAVE_MKFIFO''@|1|g' \
       -e 's|@''HAVE_MKFIFOAT''@|1|g' \
       -e 's|@''HAVE_MKNOD''@|1|g' \
       -e 's|@''HAVE_MKNODAT''@|1|g' \
       -e 's|@''HAVE_UTIMENSAT''@|1|g' \
       -e 's|@''REPLACE_FSTAT''@|0|g' \
       -e 's|@''REPLACE_FSTATAT''@|0|g' \
       -e 's|@''REPLACE_FUTIMENS''@|0|g' \
       -e 's|@''REPLACE_LSTAT''@|0|g' \
       -e 's|@''REPLACE_MKDIR''@|0|g' \
       -e 's|@''REPLACE_MKFIFO''@|0|g' \
       -e 's|@''REPLACE_MKNOD''@|0|g' \
       -e 's|@''REPLACE_STAT''@|0|g' \
       -e 's|@''REPLACE_UTIMENSAT''@|0|g' \
       -e '/definitions of _GL_FUNCDECL_RPL/r c++defs.h' \
       -e '/definition of _GL_ARG_NONNULL/r arg-nonnull.h' \
       -e '/definition of _GL_WARN_ON_USE/r warn-on-use.h' \
       < /builddir/build/BUILD/emacs-24.3/lib/sys_stat.in.h; \
} > sys/stat.h-t && \
mv sys/stat.h-t sys/stat.h
/usr/bin/mkdir -p sys
rm -f sys/time.h-t sys/time.h && \
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
   sed -e 's|@''GUARD_PREFIX''@|GL|g' \
       -e 's/@''HAVE_SYS_TIME_H''@/1/g' \
       -e 's|@''INCLUDE_NEXT''@|include_next|g' \
       -e 's|@''PRAGMA_SYSTEM_HEADER''@|#pragma GCC system_header|g' \
       -e 's|@''PRAGMA_COLUMNS''@||g' \
       -e 's|@''NEXT_SYS_TIME_H''@|<sys/time.h>|g' \
       -e 's/@''GNULIB_GETTIMEOFDAY''@/1/g' \
       -e 's|@''HAVE_WINSOCK2_H''@|0|g' \
       -e 's/@''HAVE_GETTIMEOFDAY''@/1/g' \
       -e 's/@''HAVE_STRUCT_TIMEVAL''@/1/g' \
       -e 's/@''REPLACE_GETTIMEOFDAY''@/0/g' \
       -e 's/@''REPLACE_STRUCT_TIMEVAL''@/0/g' \
       -e '/definitions of _GL_FUNCDECL_RPL/r c++defs.h' \
       -e '/definition of _GL_ARG_NONNULL/r arg-nonnull.h' \
       -e '/definition of _GL_WARN_ON_USE/r warn-on-use.h' \
       < /builddir/build/BUILD/emacs-24.3/lib/sys_time.in.h; \
} > sys/time.h-t && \
mv sys/time.h-t sys/time.h
rm -f time.h-t time.h && \
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */' && \
   sed -e 's|@''GUARD_PREFIX''@|GL|g' \
       -e 's|@''INCLUDE_NEXT''@|include_next|g' \
       -e 's|@''PRAGMA_SYSTEM_HEADER''@|#pragma GCC system_header|g' \
       -e 's|@''PRAGMA_COLUMNS''@||g' \
       -e 's|@''NEXT_TIME_H''@|<time.h>|g' \
       -e 's/@''GNULIB_MKTIME''@/1/g' \
       -e 's/@''GNULIB_NANOSLEEP''@/0/g' \
       -e 's/@''GNULIB_STRPTIME''@/0/g' \
       -e 's/@''GNULIB_TIMEGM''@/0/g' \
       -e 's/@''GNULIB_TIME_R''@/1/g' \
       -e 's|@''HAVE_DECL_LOCALTIME_R''@|1|g' \
       -e 's|@''HAVE_NANOSLEEP''@|1|g' \
       -e 's|@''HAVE_STRPTIME''@|1|g' \
       -e 's|@''HAVE_TIMEGM''@|1|g' \
       -e 's|@''REPLACE_LOCALTIME_R''@|0|g' \
       -e 's|@''REPLACE_MKTIME''@|0|g' \
       -e 's|@''REPLACE_NANOSLEEP''@|GNULIB_PORTCHECK|g' \
       -e 's|@''REPLACE_TIMEGM''@|GNULIB_PORTCHECK|g' \
       -e 's|@''PTHREAD_H_DEFINES_STRUCT_TIMESPEC''@|0|g' \
       -e 's|@''SYS_TIME_H_DEFINES_STRUCT_TIMESPEC''@|0|g' \
       -e 's|@''TIME_H_DEFINES_STRUCT_TIMESPEC''@|1|g' \
       -e '/definitions of _GL_FUNCDECL_RPL/r c++defs.h' \
       -e '/definition of _GL_ARG_NONNULL/r arg-nonnull.h' \
       -e '/definition of _GL_WARN_ON_USE/r warn-on-use.h' \
       < /builddir/build/BUILD/emacs-24.3/lib/time.in.h; \
} > time.h-t && \
mv time.h-t time.h
rm -f unistd.h-t unistd.h && \
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
   sed -e 's|@''GUARD_PREFIX''@|GL|g' \
       -e 's|@''HAVE_UNISTD_H''@|1|g' \
       -e 's|@''INCLUDE_NEXT''@|include_next|g' \
       -e 's|@''PRAGMA_SYSTEM_HEADER''@|#pragma GCC system_header|g' \
       -e 's|@''PRAGMA_COLUMNS''@||g' \
       -e 's|@''NEXT_UNISTD_H''@|<unistd.h>|g' \
       -e 's|@''WINDOWS_64_BIT_OFF_T''@|0|g' \
       -e 's/@''GNULIB_CHDIR''@/0/g' \
       -e 's/@''GNULIB_CHOWN''@/0/g' \
       -e 's/@''GNULIB_CLOSE''@/0/g' \
       -e 's/@''GNULIB_DUP''@/0/g' \
       -e 's/@''GNULIB_DUP2''@/1/g' \
       -e 's/@''GNULIB_DUP3''@/0/g' \
       -e 's/@''GNULIB_ENVIRON''@/1/g' \
       -e 's/@''GNULIB_EUIDACCESS''@/0/g' \
       -e 's/@''GNULIB_FACCESSAT''@/0/g' \
       -e 's/@''GNULIB_FCHDIR''@/0/g' \
       -e 's/@''GNULIB_FCHOWNAT''@/0/g' \
       -e 's/@''GNULIB_FDATASYNC''@/0/g' \
       -e 's/@''GNULIB_FSYNC''@/0/g' \
       -e 's/@''GNULIB_FTRUNCATE''@/0/g' \
       -e 's/@''GNULIB_GETCWD''@/0/g' \
       -e 's/@''GNULIB_GETDOMAINNAME''@/0/g' \
       -e 's/@''GNULIB_GETDTABLESIZE''@/0/g' \
       -e 's/@''GNULIB_GETGROUPS''@/0/g' \
       -e 's/@''GNULIB_GETHOSTNAME''@/0/g' \
       -e 's/@''GNULIB_GETLOGIN''@/0/g' \
       -e 's/@''GNULIB_GETLOGIN_R''@/0/g' \
       -e 's/@''GNULIB_GETPAGESIZE''@/0/g' \
       -e 's/@''GNULIB_GETUSERSHELL''@/0/g' \
       -e 's/@''GNULIB_GROUP_MEMBER''@/0/g' \
       -e 's/@''GNULIB_ISATTY''@/0/g' \
       -e 's/@''GNULIB_LCHOWN''@/0/g' \
       -e 's/@''GNULIB_LINK''@/0/g' \
       -e 's/@''GNULIB_LINKAT''@/0/g' \
       -e 's/@''GNULIB_LSEEK''@/0/g' \
       -e 's/@''GNULIB_PIPE''@/0/g' \
       -e 's/@''GNULIB_PIPE2''@/0/g' \
       -e 's/@''GNULIB_PREAD''@/0/g' \
       -e 's/@''GNULIB_PWRITE''@/0/g' \
       -e 's/@''GNULIB_READ''@/0/g' \
       -e 's/@''GNULIB_READLINK''@/1/g' \
       -e 's/@''GNULIB_READLINKAT''@/0/g' \
       -e 's/@''GNULIB_RMDIR''@/0/g' \
       -e 's/@''GNULIB_SETHOSTNAME''@/0/g' \
       -e 's/@''GNULIB_SLEEP''@/0/g' \
       -e 's/@''GNULIB_SYMLINK''@/1/g' \
       -e 's/@''GNULIB_SYMLINKAT''@/0/g' \
       -e 's/@''GNULIB_TTYNAME_R''@/0/g' \
       -e 's/@''GNULIB_UNISTD_H_GETOPT''@/0/g' \
       -e 's/@''GNULIB_UNISTD_H_NONBLOCKING''@/0/g' \
       -e 's/@''GNULIB_UNISTD_H_SIGPIPE''@/0/g' \
       -e 's/@''GNULIB_UNLINK''@/0/g' \
       -e 's/@''GNULIB_UNLINKAT''@/0/g' \
       -e 's/@''GNULIB_USLEEP''@/0/g' \
       -e 's/@''GNULIB_WRITE''@/0/g' \
       < /builddir/build/BUILD/emacs-24.3/lib/unistd.in.h | \
   sed -e 's|@''HAVE_CHOWN''@|1|g' \
       -e 's|@''HAVE_DUP2''@|1|g' \
       -e 's|@''HAVE_DUP3''@|1|g' \
       -e 's|@''HAVE_EUIDACCESS''@|1|g' \
       -e 's|@''HAVE_FACCESSAT''@|1|g' \
       -e 's|@''HAVE_FCHDIR''@|1|g' \
       -e 's|@''HAVE_FCHOWNAT''@|1|g' \
       -e 's|@''HAVE_FDATASYNC''@|1|g' \
       -e 's|@''HAVE_FSYNC''@|1|g' \
       -e 's|@''HAVE_FTRUNCATE''@|1|g' \
       -e 's|@''HAVE_GETDTABLESIZE''@|1|g' \
       -e 's|@''HAVE_GETGROUPS''@|1|g' \
       -e 's|@''HAVE_GETHOSTNAME''@|1|g' \
       -e 's|@''HAVE_GETLOGIN''@|1|g' \
       -e 's|@''HAVE_GETPAGESIZE''@|1|g' \
       -e 's|@''HAVE_GROUP_MEMBER''@|1|g' \
       -e 's|@''HAVE_LCHOWN''@|1|g' \
       -e 's|@''HAVE_LINK''@|1|g' \
       -e 's|@''HAVE_LINKAT''@|1|g' \
       -e 's|@''HAVE_PIPE''@|1|g' \
       -e 's|@''HAVE_PIPE2''@|1|g' \
       -e 's|@''HAVE_PREAD''@|1|g' \
       -e 's|@''HAVE_PWRITE''@|1|g' \
       -e 's|@''HAVE_READLINK''@|1|g' \
       -e 's|@''HAVE_READLINKAT''@|1|g' \
       -e 's|@''HAVE_SETHOSTNAME''@|1|g' \
       -e 's|@''HAVE_SLEEP''@|1|g' \
       -e 's|@''HAVE_SYMLINK''@|1|g' \
       -e 's|@''HAVE_SYMLINKAT''@|1|g' \
       -e 's|@''HAVE_UNLINKAT''@|1|g' \
       -e 's|@''HAVE_USLEEP''@|1|g' \
       -e 's|@''HAVE_DECL_ENVIRON''@|1|g' \
       -e 's|@''HAVE_DECL_FCHDIR''@|1|g' \
       -e 's|@''HAVE_DECL_FDATASYNC''@|1|g' \
       -e 's|@''HAVE_DECL_GETDOMAINNAME''@|1|g' \
       -e 's|@''HAVE_DECL_GETLOGIN_R''@|1|g' \
       -e 's|@''HAVE_DECL_GETPAGESIZE''@|1|g' \
       -e 's|@''HAVE_DECL_GETUSERSHELL''@|1|g' \
       -e 's|@''HAVE_DECL_SETHOSTNAME''@|1|g' \
       -e 's|@''HAVE_DECL_TTYNAME_R''@|1|g' \
       -e 's|@''HAVE_OS_H''@|0|g' \
       -e 's|@''HAVE_SYS_PARAM_H''@|0|g' \
   | \
   sed -e 's|@''REPLACE_CHOWN''@|0|g' \
       -e 's|@''REPLACE_CLOSE''@|0|g' \
       -e 's|@''REPLACE_DUP''@|0|g' \
       -e 's|@''REPLACE_DUP2''@|0|g' \
       -e 's|@''REPLACE_FCHOWNAT''@|0|g' \
       -e 's|@''REPLACE_FTRUNCATE''@|0|g' \
       -e 's|@''REPLACE_GETCWD''@|0|g' \
       -e 's|@''REPLACE_GETDOMAINNAME''@|0|g' \
       -e 's|@''REPLACE_GETLOGIN_R''@|0|g' \
       -e 's|@''REPLACE_GETGROUPS''@|0|g' \
       -e 's|@''REPLACE_GETPAGESIZE''@|0|g' \
       -e 's|@''REPLACE_ISATTY''@|0|g' \
       -e 's|@''REPLACE_LCHOWN''@|0|g' \
       -e 's|@''REPLACE_LINK''@|0|g' \
       -e 's|@''REPLACE_LINKAT''@|0|g' \
       -e 's|@''REPLACE_LSEEK''@|0|g' \
       -e 's|@''REPLACE_PREAD''@|0|g' \
       -e 's|@''REPLACE_PWRITE''@|0|g' \
       -e 's|@''REPLACE_READ''@|0|g' \
       -e 's|@''REPLACE_READLINK''@|0|g' \
       -e 's|@''REPLACE_RMDIR''@|0|g' \
       -e 's|@''REPLACE_SLEEP''@|0|g' \
       -e 's|@''REPLACE_SYMLINK''@|0|g' \
       -e 's|@''REPLACE_TTYNAME_R''@|0|g' \
       -e 's|@''REPLACE_UNLINK''@|0|g' \
       -e 's|@''REPLACE_UNLINKAT''@|0|g' \
       -e 's|@''REPLACE_USLEEP''@|0|g' \
       -e 's|@''REPLACE_WRITE''@|0|g' \
       -e 's|@''UNISTD_H_HAVE_WINSOCK2_H''@|0|g' \
       -e 's|@''UNISTD_H_HAVE_WINSOCK2_H_AND_USE_SOCKETS''@|0|g' \
       -e '/definitions of _GL_FUNCDECL_RPL/r c++defs.h' \
       -e '/definition of _GL_ARG_NONNULL/r arg-nonnull.h' \
       -e '/definition of _GL_WARN_ON_USE/r warn-on-use.h'; \
} > unistd.h-t && \
mv unistd.h-t unistd.h
make  all-am
make[3]: Entering directory `/builddir/build/BUILD/emacs-24.3/build-gtk/lib'
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I/builddir/build/BUILD/emacs-24.3/lib -I../src -I/builddir/build/BUILD/emacs-24.3/src      -DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mcpu=power7 -mtune=power8 -c /builddir/build/BUILD/emacs-24.3/lib/allocator.c
... snip ...
gcc-switches   -m64 -mcpu=power7 -mtune=power8 -c /builddir/build/BUILD/emacs-24.3/lib/utimens.c
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I/builddir/build/BUILD/emacs-24.3/lib -I../src -I/builddir/build/BUILD/emacs-24.3/src      -DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mcpu=power7 -mtune=power8 -c /builddir/build/BUILD/emacs-24.3/lib/pthread_sigmask.c
rm -f libgnu.a
ar cru libgnu.a allocator.o c-ctype.o c-strcasecmp.o c-strncasecmp.o careadlinkat.o md5.o sha1.o sha256.o sha512.o dtoastr.o dtotimespec.o filemode.o  gettime.o stat-time.o strftime.o timespec.o timespec-add.o timespec-sub.o u64.o utimens.o pthread_sigmask.o
ranlib libgnu.a
make[3]: Leaving directory `/builddir/build/BUILD/emacs-24.3/build-gtk/lib'
make[2]: Leaving directory `/builddir/build/BUILD/emacs-24.3/build-gtk/lib'
cd lib-src && make all -w                         \
   CC='gcc -std=gnu99' CFLAGS='-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mcpu=power7 -mtune=power8' CPPFLAGS='' \
   LDFLAGS='-Wl,-z,relro -Wl,-znocombreloc ' MAKE='make'
make[2]: Entering directory `/builddir/build/BUILD/emacs-24.3/build-gtk/lib-src'
gcc -std=gnu99 -c     -I. -I../src -I../lib -I/builddir/build/BUILD/emacs-24.3/lib-src -I/builddir/build/BUILD/emacs-24.3/lib-src/../src -I/builddir/build/BUILD/emacs-24.3/lib-src/../lib   -DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mcpu=power7 -mtune=power8 -DCONFIG_BROKETS -DINHIBIT_STRING_HEADER \
   /builddir/build/BUILD/emacs-24.3/lib-src/../src/regex.c
... snip ...
gcc -std=gnu99 -nostdlib -Demacs  -I. -I/builddir/build/BUILD/emacs-24.3/src -I../lib -I/builddir/build/BUILD/emacs-24.3/src/../lib   -pthread -I/usr/include/gtk-3.0 -I/usr/include/atk-1.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/pixman-1 -I/usr/include/libpng15 -I/usr/include/libdrm   -I/usr/include/freetype2    -I/usr/include/alsa   -pthread -I/usr/include/librsvg-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/cairo -I/usr/include/libpng15 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libdrm   -fopenmp -I/usr/include/ImageMagick   -I/usr/include/libxml2   -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include   -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -pthread -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I/usr/include/freetype2   -I/usr/include/freetype2   -I/usr/include/freetype2    -MMD -MF deps/.d -MP  -I/usr/include/p11-kit-1     -DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mcpu=power7 -mtune=power8   -Wl,-z,relro -Wl,-znocombreloc  \
   -o temacs pre-crt0.o /usr/lib/gcc/ppc64le-redhat-linux/4.8.3/../../../../lib64/crt1.o /usr/lib/gcc/ppc64le-redhat-linux/4.8.3/../../../../lib64/crti.o dispnew.o frame.o scroll.o xdisp.o menu.o xmenu.o window.o charset.o coding.o category.o ccl.o character.o chartab.o bidi.o cm.o term.o terminal.o xfaces.o xterm.o xfns.o xselect.o xrdb.o xsmfns.o xsettings.o xgselect.o gtkutil.o emacsgtkfixed.o dbusbind.o emacs.o keyboard.o macros.o keymap.o sysdep.o buffer.o filelock.o insdel.o marker.o minibuf.o fileio.o dired.o cmds.o casetab.o casefiddle.o indent.o search.o regex.o undo.o alloc.o data.o doc.o editfns.o callint.o eval.o floatfns.o fns.o font.o print.o lread.o syntax.o unexelf.o bytecode.o process.o gnutls.o callproc.o region-cache.o sound.o atimer.o doprnt.o intervals.o textprop.o composite.o xml.o profiler.o     xfont.o ftfont.o xftfont.o ftxfont.o  fontset.o fringe.o image.o  terminfo.o lastfile.o    vm-limit.o   ../lib/libgnu.a      -ltiff -ljpeg -lpng -lz -lm -lgif -lXpm -lgtk-3 -lgdk-3 -latk-1.0 -lgio-2.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo-gobject -lpango-1.0 -lcairo -lgobject-2.0 -lglib-2.0   -lSM -lICE -lX11 -lXrender -lXft   -lasound   -lrsvg-2 -lm -lgio-2.0 -lgdk_pixbuf-2.0 -lcairo -lgobject-2.0 -lglib-2.0   -lMagickWand -lMagickCore    -lrt  -L/lib64 -ldbus-1    -lxml2      -ltinfo  -lgio-2.0 -lgobject-2.0 -lglib-2.0   -lgconf-2 -lglib-2.0   -lgobject-2.0 -lglib-2.0   -lselinux -lfreetype   -lfontconfig -lfreetype   -lotf -lfreetype   -lm17n-flt -lm17n-core   -lgnutls   -lpthread   -lm -lgcc -lc -lgcc /usr/lib/gcc/ppc64le-redhat-linux/4.8.3/../../../../lib64/crtn.o
test "no" = "yes" || \
   test "X" = X ||  -r temacs
cd ../lisp; make -w update-subdirs
make[3]: Entering directory `/builddir/build/BUILD/emacs-24.3/build-gtk/lisp'
cd /builddir/build/BUILD/emacs-24.3/lisp; subdirs=`find . -type d -print`; for file in $subdirs; do case $file in */.* | */.*/* | */=* | */cedet* ) ;; *) wins="$wins $file" ;; esac; done; \
for file in $wins; do \
    /builddir/build/BUILD/emacs-24.3/build-aux/update-subdirs $file; \
done;
make[3]: Leaving directory `/builddir/build/BUILD/emacs-24.3/build-gtk/lisp'
if test "no" = "yes"; then \
   rm -f bootstrap-emacs; \
   ln temacs bootstrap-emacs; \
else \
   `/bin/pwd`/temacs --batch --load loadup bootstrap || exit 1; \
   test "X" = X ||  -zex emacs; \
   mv -f emacs bootstrap-emacs; \
fi
Loading loadup.el (source)...
Using load-path (/builddir/build/BUILD/emacs-24.3/lisp /builddir/build/BUILD/emacs-24.3/lisp/emacs-lisp /builddir/build/BUILD/emacs-24.3/lisp/language /builddir/build/BUILD/emacs-24.3/lisp/international /builddir/build/BUILD/emacs-24.3/lisp/textmodes)
Loading emacs-lisp/byte-run (source)...
Loading emacs-lisp/backquote (source)...
Loading subr (source)...
Loading version (source)...
Loading widget (source)...
Loading custom (source)...
Loading emacs-lisp/map-ynp (source)...
Loading international/mule (source)...
Loading international/mule-conf (source)...
Loading env (source)...
Loading format (source)...
Loading bindings (source)...
Loading cus-start (source)...
Loading window (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/files.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/emacs-lisp/macroexp.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/emacs-lisp/pcase.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/emacs-lisp/macroexp.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/cus-face.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/faces.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/button.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/startup.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/ldefs-boot.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/minibuffer.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/abbrev.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/simple.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/help.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/jka-cmpr-hook.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/epa-hook.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/international/mule-cmds.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/case-table.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/international/charprop.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/international/characters.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/composite.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/chinese.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/cyrillic.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/indian.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/sinhala.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/english.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/ethiopic.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/european.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/czech.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/slovak.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/romanian.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/greek.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/hebrew.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/japanese.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/international/cp51932.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/international/eucjp-ms.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/korean.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/lao.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/tai-viet.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/thai.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/tibetan.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/vietnamese.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/misc-lang.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/utf-8-lang.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/georgian.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/khmer.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/burmese.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/language/cham.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/indent.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/frame.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/term/tty-colors.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/font-core.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/facemenu.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/emacs-lisp/syntax.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/font-lock.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/jit-lock.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/mouse.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/scroll-bar.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/select.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/emacs-lisp/timer.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/isearch.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/rfn-eshadow.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/menu-bar.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/emacs-lisp/lisp.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/textmodes/page.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/register.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/textmodes/paragraphs.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/emacs-lisp/lisp-mode.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/textmodes/text-mode.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/textmodes/fill.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/newcomment.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/replace.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/emacs-lisp/tabulated-list.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/buff-menu.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/fringe.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/emacs-lisp/regexp-opt.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/image.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/international/fontset.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/dnd.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/tool-bar.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/dynamic-setting.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/x-dnd.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/term/common-win.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/term/x-win.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/mwheel.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/emacs-lisp/float-sup.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/vc/vc-hooks.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/vc/ediff-hook.el (source)...
Loading /builddir/build/BUILD/emacs-24.3/lisp/tooltip.el (source)...
Finding pointers to doc strings...
Finding pointers to doc strings...done
Dumping under the name emacs
emacs: Program segment above .bss in /builddir/build/BUILD/emacs-24.3/build-gtk/src/temacs
make[2]: *** [bootstrap-emacs] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/emacs-24.3/build-gtk/src'
make[1]: *** [src] Error 2
make[1]: Leaving directory `/builddir/build/BUILD/emacs-24.3/build-gtk'
make: *** [bootstrap] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.ip3wVK (%build)
RPM build errors:
     Bad exit status from /var/tmp/rpm-tmp.ip3wVK (%build)
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
  # ['bash', '--login', '-c', 'rpmbuild -bb --target ppc64le --nodeps  builddir/build/SPECS/emacs.spec']
Traceback (most recent call last):
   File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 70, in trace
     result = func(*args, **kw)
   File "/usr/lib/python2.7/site-packages/mockbuild/util.py", line 376, in do
     raise mockbuild.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
  # ['bash', '--login', '-c', 'rpmbuild -bb --target ppc64le --nodeps  builddir/build/SPECS/emacs.spec']
LEAVE do --> EXCEPTION RAISED

-- 
Petr Hracek
Software Engineer
Developer Experience
Red Hat, Inc
Mob: +420777056169
email: [email-masked]